/*****************************************************************************/
/* App:  */
/*****************************************************************************/

angular.module('maat', [
  'ionic',
  'maat.services',
  'maat.config',
  'maat.controllers',
  'maat.filters',
  'maat.directives'
])

.constant('API', {
  url: 'http://maat.tegra.me:8080/api/v1'
})

.run(function($ionicPlatform, $state, $rootScope, $http) {
  $ionicPlatform.ready(function() {
    if(window.cordova && window.cordova.plugins.Keyboard) {
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
    }
    if(window.StatusBar) {
      StatusBar.styleLightContent();
    }
  });
  $ionicPlatform.registerBackButtonAction(function () {
    if ($state.current.name === 'app.enterprises') {
      navigator.app.exitApp();
    } else {
      navigator.app.backHistory();
    }
  }, 100);

  $rootScope.$on('$locationChangeStart', function() {
    var token = window.localStorage['token'];
    console.log(token);
    if (token) {
      $http.defaults.headers.common.token = token;
    }
  });
});

