/*****************************************************************************/
/* Config:  */
/*****************************************************************************/

angular.module('maat.config', ['ionic'])

.constant(
  'config', {
    'APP_VERSION': '0.4.0'
  }
)

.config(function($stateProvider, $urlRouterProvider,
  $ionicConfigProvider, $animateProvider) {
  // Turn off caching for demo simplicity's sake
  $ionicConfigProvider.views.maxCache(10);
  $animateProvider.classNameFilter(/^(?:(?!ng-animate-disabled).)*$/);

  $stateProvider
    .state('app', {
      url: '/app',
      abstract: true,
      templateUrl: 'templates/layout.html',
      controller: 'AppCtrl'
    })

    .state('app.login', {
      url: '/login',
      views: {
        'content': {
          templateUrl: 'templates/login.html',
          controller: 'LoginCtrl'
        },
      }
    })

    .state('app.newpassword', {
      url: '/newpassword',
      views: {
        'content': {
          templateUrl: 'templates/newpassword.html',
          controller: 'NewPasswordCtrl'
        },
      }
    })

    .state('app.enterprises', {
      url: '/enterprises',
      views: {
        'content': {
          templateUrl: 'templates/enterprises.html',
          controller: 'EnterprisesCtrl'
        }
      }
    })

    .state('app.subsidiaries', {
      url: '/subsidiaries/?idEmpresa',
      views: {
        'content': {
          templateUrl: 'templates/subsidiaries.html',
          controller: 'SubsidiariesCtrl'
        }
      }
    })
  ;
  $urlRouterProvider.otherwise('/app/login');
});
