/*****************************************************************************/
/* Filters:  */
// TODO: Clean up and add the 100px plus percentage
/*****************************************************************************/

angular.module('maat.filters', [])

.filter('widthHourBar', function() {
  return function(input, $scope) {
    var totalWidth = $scope.card.horasEsperadas;
    var percentageWidth = (input/totalWidth) * 100;
    var formattedPercentageWidth = percentageWidth > 100 ?
      '100%' : percentageWidth.toString() + '%';
    var checkInput = input === 0 || percentageWidth < 50  ?
      {'width': '120px'} : {'width': formattedPercentageWidth};
    return checkInput;
  };
})

.filter('formatDate', function() {
  return function(input) {
    var rawDate = input;
    var formatDate = moment(rawDate, 'YYYY-MM-DD').format('DD/MM/YYYY');
    return formatDate;
  };
})

.filter('formatTime', function() {
  return function(input) {
    console.log(input);
    var minutes = parseInt((input/(1000*60))%60);
    var hours = parseInt((input/(1000*60*60)));
    hours = (hours < 10) ? "0" + hours : hours;
    minutes = (minutes < 10) ? "0" + minutes : minutes;
    return hours + ":" + minutes;
  };
})

.filter('translateScore', function() {
  return function(score) {
    switch(score) {
      case undefined:
        return 'Sem nota';
      case -1:
        return 'Ruim';
      case 0:
        return 'Regular';
      case 1:
        return 'Bom';
    }
  };
})

.filter('widthPromoterBar', function() {
  return function(input, $scope) {
    var totalWidth = $scope.card.promotoresEsperados;
    var percentageWidth = (input/totalWidth) * 100;
    var formattedPercentageWidth = percentageWidth > 100 ?
      '100%' : percentageWidth + '%';
    var checkInput = input === 0 || percentageWidth < 30  ?
      {'width': '120px'} : {'width': formattedPercentageWidth};
    return checkInput;
  };
})

.filter('filterByName', function($ionicScrollDelegate) {
    return function(cards, matcher) {
      var regExpMatcher = new RegExp(matcher, 'gi');
      $ionicScrollDelegate.scrollTop();
      return _.filter(cards, function(card) {
        var nome = card.nome;
        return nome.match(regExpMatcher);
      });
    };
});